import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/store/` + url, ...arg)

/**
 * 仓库Api接口管理器
 *
 * @author Luck
 * @date  2024/07/25 13:42
 **/
export default {
	// 获取仓库分页
	page(data) {
		return request('page', data, 'get')
	},
	// 提交仓库表单 edit为true时为编辑，默认为新增
	sysStoreSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除仓库
	sysStoreDelete(data) {
		return request('delete', data)
	},
	// 获取仓库详情
	sysStoreDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取仓库树结构
	sysStoreTree(data) {
		return request('tree', data, 'get')
	},
}
